Page MenuHomePhabricator

Create subdomain for Design and Wikimedia User Interface Style Guide
Closed, ResolvedPublic

Description

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added projects: Traffic, Design. · View Herald TranscriptJan 19 2018, 2:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema moved this task from Triage to DNS Names on the Traffic board.Jan 19 2018, 5:43 PM
Dzahn added a comment.Jan 20 2018, 1:29 AM

Is a wiki page not an option for this content? It seems mostly text and images. Has that been considered?

Assuming it has but is not really an option, one thing you will need is a repository for the content (HTML/CSS). You could start by requesting it because Gerrit repos/projects are handled by other people. Operations can then help you getting some puppet code added that sets up a site and clones the content.

@Dzahn Yes, a wiki page was considered as option, as well as where the page repo should live. Both things have been discussed within the Design team and also with some of our managers and for the time being we plan to stay with https://github.com/wikimedia/WikimediaUI-Style-Guide as repo and with non-wiki page content.

They seem to have one: https://github.com/wikimedia/WikimediaUI-Style-Guide (maybe it is already in gerrit?)

But I completely agree, this could (and probably should) be stored in an existing wiki, instead of making yet another subdomain that adds technical debt and people will hardly find.

Dzahn added a comment.Jan 20 2018, 1:47 AM

@Volker_E Gotcha! So you are requesting web space to clone to from Github? Pulling down a git repo from an external sources is not compatible with L3. What we (automatically) do is the other way around though, clone from Gerrit and sync it to Github.

Dzahn changed the task status from Open to Stalled.Jan 30 2018, 6:08 PM

We need some more information what exactly is requested, please.

Is the expectation a DNS entry and an Apache redirect to somewhere else? Is it to host actual content files on a prod misc server with access to upload to it? Something else?

What we can offer is the usual setup for micro sites such as annual report and others.

This means there would be a repo on Gerrit that holds your content and there would be a puppet role on our production "misc webserver" that clones from that repo.
People with +2 on your content repo can merge changes to the site and don't have to make Puppet changes or wait for ops for each edit.

That way you can use design.wikimedia.org and i could setup the initial puppet part for you.

What we can't offer is cloning directly from github to production (but we can sync to it) or redirecting https://design.wikimedia.org to a 3rd party site.

Have we considered just having it as a subdirectory of https://doc.wikimedia.org/ ? It seems like a documentation type thingy.

@Bawolff There have been conversations in the Design team around the location. The Style Guide is planned as part of a bigger resource with many things design. We will discuss if a possible duplication in both places would make sense, or just having a link to the resource from doc.wikimedia.org.

Dzahn triaged this task as Medium priority.Feb 1 2018, 9:41 PM

@Volker_E Gotcha! So you are requesting web space to clone to from Github? Pulling down a git repo from an external sources is not compatible with L3. What we (automatically) do is the other way around though, clone from Gerrit and sync it to Github.

Would it be compatible with L3 to sync the Gerrit with Github (Github being the primary source of truth), and then using Gerrit to deploy the website?

Dzahn added a comment.EditedFeb 6 2018, 8:39 PM

@Prtksxna I asked around a bit and yea there is already precedence for this. Others are doing it that way. (Though i would still recommend using Gerrit). But as long as i can let puppet clone from Gerrit and you can handle how it gets synced into Gerrit with people setting up Gerrit projects, that would work, yea.

@Dzahn Any updates on above? Accomplishing this task is part of end of Q goals and is dependent on the current's discussion outcome on moving forward.

Dzahn added a comment.Feb 21 2018, 8:42 PM

@Volker_E I think the ball is in your court. As i said above , it's not a problem as long as you can get your content into a Gerrit repo.

You would request that via the normal workflow to request a repo (not something done by ops). Once you have the content up you can request the security review and as soon as that has an ACK just let me know here and i can create the needed puppet code to clone from that and add the DNS name to finalize it.

@Dzahn So it would be a request similar to @bmansurov's on RLP about cloning the corresponding GitHub repo? @Prtksxna Do you see anything missing?

Dzahn added a comment.Feb 22 2018, 1:44 PM

@Volker_E Yes, that's right. Similar to to bmansurov's. You would ask for it to clone from Github while i can tell puppet to clone from Gerrit.

@Dzahn Just to be explicit about our latest structure. We plan to have an index page in design.wikimedia.org and the style guide living under design.wikimedia.org/style-guide/ – does this compute with the puppet clone as well. The index page and possibly further future pages might/will live in it's/their own repo.

Unsubscribing, just to keep the noise down. Ping me if you need anything from me.

Dzahn added a comment.Feb 22 2018, 6:30 PM

We plan to have an index page in design.wikimedia.org and the style guide living under design.wikimedia.org/style-guide/ – does this compute with the puppet clone as well. The index page and possibly further future pages might/will live in it's/their own repo.

A single repo would be easier but we can also clone from 2 separate repos into 2 separate locations. It might need some extra Apache config but seems doable.

@Dzahn Ok, good to know. Basically, it needs to be two repos, while the one (style guide) is specifically targeted at a wide audience, the other one (index page et al) is for internal build-up mostly, and latter can also live mainly on Gerrit w/o any issue.

Dzahn added a comment.Feb 22 2018, 7:58 PM

@Volker_E just to be clear, 2 different repos that are both on Gerrit (from puppet's point of view). Whether you directly use Gerrit or request the Github cloning setup is up to you.

All i need is the names of 2 repos on Gerrit that i should clone the content from and i can start writing the needed puppet code and create a change for adding the DNS name to point to it.

Please also consider for your planning enough time for the security team to do a review. They will be be able to start that once the content is available in the repos.

Once you know the repo names you request please paste them here, then we can start using them in code.

Change 413952 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] microsites: profile to setup design.wikimedia.org

https://gerrit.wikimedia.org/r/413952

Change 413952 merged by Dzahn:
[operations/puppet@production] microsites: profile to setup design.wikimedia.org

https://gerrit.wikimedia.org/r/413952

Change 413986 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] varnish: add misc director for design.wm.org -> bromine

https://gerrit.wikimedia.org/r/413986

Change 414008 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] design.wm.org: prepare for second dir for style guide (WIP)

https://gerrit.wikimedia.org/r/414008

Change 413986 merged by Dzahn:
[operations/puppet@production] varnish: add misc director for design.wm.org -> bromine

https://gerrit.wikimedia.org/r/413986

@Dzahn: Repos are requested.

Dzahn added a comment.Mar 1 2018, 9:38 PM

@Volker_E Alright, thanks for the update! As you can see above i started uploading some changes and merged what i could merge before having the repo names, i commented the git cloning part out and will be able to just amend that once we have them.

Change 415748 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] microsites::design: enable cloning from 2 new repos

https://gerrit.wikimedia.org/r/415748

Change 414008 merged by Dzahn:
[operations/puppet@production] design.wm.org: prepare for second dir for style guide

https://gerrit.wikimedia.org/r/414008

Please also consider for your planning enough time for the security team to do a review. They will be be able to start that once the content is available in the repos.

Speaking of which, if the code already exists, you should request this review now. There will be some delay before we can do a security review (due to other people being ahead in line) so you should request the review as soon as you have code for us ready to review.

Speaking of which, if the code already exists, you should request this review now. There will be some delay before we can do a security review (due to other people being ahead in line) so you should request the review as soon as you have code for us ready to review.

We were waiting for the code to be in Gerrit before creating a task for security review. But based on your comment, I've created one now T188698: Security review for WikimediaUI Style Guide. Thanks

Volker_E added a subscriber: MarcoAurelio.EditedMar 5 2018, 5:23 PM

@MarcoAurelio As you've accomplished T188887#4023319 I'd like to ask you for support here as well…

@Volker_E Sorry but I don't think I'm able to do what it's requested here (that is, create page under the wikimedia.org umbrella). I'm a simple volunteer :-) Regards.

Volker_E added a subscriber: demon.Mar 5 2018, 11:13 PM

Sorry @MarcoAurelio, identified that you were just the courier on the other change. Have reached out to @demon for resolving this.

Jumping out of context here, but it could be nice to have the new site multi-lingual unlike what https://wikimedia.github.io/WikimediaUI-Style-Guide/ currently is. It is powered by jekyll which has a localization plugin.

@Gryllida That is one of our own quests and is discussed in T164449. Please don't side-rail tasks, but rather file a new task (or search Phabricator) for specific, unique requests.

I heard that repos now exist. Could you update the ticket with the repo names please?

Prtksxna updated the task description. (Show Details)Mar 13 2018, 4:58 AM

Change 415748 merged by Dzahn:
[operations/puppet@production] microsites::design: enable cloning from 2 new repos

https://gerrit.wikimedia.org/r/415748

Dzahn changed the task status from Stalled to Open.Mar 19 2018, 10:30 PM
Dzahn claimed this task.
Dzahn raised the priority of this task from Medium to High.

Change 420604 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] misc::cache: add design.wikimedia.org req_handling rule

https://gerrit.wikimedia.org/r/420604

Change 420604 merged by Dzahn:
[operations/puppet@production] misc::cache: add design.wikimedia.org req_handling rule

https://gerrit.wikimedia.org/r/420604

Change 420612 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] design.wm.org: add Apache alias config for style-guide

https://gerrit.wikimedia.org/r/420612

Change 420612 merged by Dzahn:
[operations/puppet@production] design.wm.org: add Apache alias config for style-guide

https://gerrit.wikimedia.org/r/420612

Change 420613 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add design.wikimedia.org, point to misc-web-cache

https://gerrit.wikimedia.org/r/420613

Change 420613 merged by Dzahn:
[operations/dns@master] add design.wikimedia.org, point to misc-web-cache

https://gerrit.wikimedia.org/r/420613

Thanks @Dzahn for the quick and thorough work on this!

Volker_E moved this task from Stalled / Waiting to Done on the Wikimedia Design Style Guide board.
Volker_E removed a subscriber: gerritbot.
Prtksxna added a subscriber: bd808.Jul 23 2018, 9:20 AM

Would it make sense to add rules to point design.wikimedia.org/style-guide/wiki back to design.wikimedia.org/style-guide?

Yes, if you control the webserver configuration on the new site it should be fairly easy to make the redirects on that side…

@Dzahn Would it be possible to redirect any traffic to https://design.wikimedia.org/style-guide/wiki/* back to https://design.wikimedia.org/style-guide/? It would really help us out of a redirection issue - T192129#4429294. I am happy to open a sub-task if you think you could take it up .

Dzahn added a comment.Jul 24 2018, 6:24 PM

@Prtksxna Yes, i think so. Please feel free to create that subtask and assign it.

@Prtksxna Yes, i think so. Please feel free to create that subtask and assign it.

Thanks @Dzahn 🙂

T200304: Redirect design.wikimedia.org/style-guide/wiki/* to design.wikimedia.org/style-guide/